# yamllint disable
# License: MIT (c) GitLab Inc.
# yamllint enable
---
rules:
- id: "scala_password_rule-ConstantDBPassword"
  languages:
  - "scala"
  message: |
    This code creates a database connect using a hardcoded, constant password. Anyone with access
    to either the source code or the compiled code can easily learn the password.
  metadata:
    category: "security"
    cwe: "CWE-259"
    shortDescription: "Use of Hard-coded Password"
    technology:
    - "scala"
    security-severity: "High"
  patterns:
  - pattern: "java.sql.DriverManager.getConnection($URI, $USR, \"...\");"
  severity: "WARNING"
